"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortAPINodes = void 0;
function sortAPINodes(apiNodeA, apiNodeB) {
    const aNodeType = apiNodeA.renderer.nodeType;
    const bNodeType = apiNodeB.renderer.nodeType;
    if (!apiNodeA.exported)
        return 1;
    if (!apiNodeB.exported)
        return 1;
    if (aNodeType < bNodeType)
        return -1;
    if (aNodeType > bNodeType)
        return 1;
    const aNodeName = apiNodeA.api.name || '';
    const bNodeName = apiNodeB.api.name || '';
    if (aNodeName < bNodeName)
        return -1;
    if (aNodeName > bNodeName)
        return 1;
    return 0;
}
exports.sortAPINodes = sortAPINodes;
//# sourceMappingURL=sort-api-nodes.js.map